module RDF
  module Vocab
    class Rdms < RDF::Vocabulary("http://www.example.com/vocabs/rdms/")
      # collection
      property 'crcCollectionType'
      # Dataset
      property 'Subject' # class for Rdms.subject
      property 'datasetMethod'
      property 'datePublished'
      property 'identifier'
      property 'order'
      property 'seriesInformation'
      property 'tableOfContents'
      property 'technicalInformation'
      property 'versionLabel'
      # vocabulary to store funding information
      property 'FundingReference'
      property 'funderIdentifier'
      property 'funderName'
      property 'awardNumber'
      property 'awardTitle'
      property 'awardURI'
      # CRC metadata
      property 'approvalNumber'
      property 'extraInformation'
      property 'modality'
      property 'crcResourceType'
      property 'softwareVersion'
      property 'subject' # of type Rdms.Subject
      property 'SubjectIdentifier'
      property 'SubjectSpecies'
      property 'SubjectType'
      property 'SubjectSex'
      property 'SubjectAge'
      property 'parentWorkId'
      property 'crcWorkType'
      property 'experimentTitle'
      #File Set
      property 'forComplexIdentifier'
      property'forComplexType'
    end
  end
end
