require 'rails_helper'

RSpec.describe ComplexSession do
  before :all do
    ActiveFedora::Cleaner.clean!
    Hyrax::PermissionTemplateAccess.destroy_all
    Hyrax::PermissionTemplate.destroy_all
  end

  it 'creates a complex subject with its attributes' do
    user = User.find_by(email: 'admin@hyrax')
    crc_dataset = create(:crc_dataset, :open,  :with_experiment_title, :with_experiment_description, :with_crc_resource_type,
                          :with_coverage, :with_approval_number, :with_extra_information )

    
    complex_subject = build(:complex_subject, :subject_identifier, :subject_species, :subject_type, crc_dataset_id: crc_dataset.id)

    complex_session = complex_subject.complex_sessions.build(session_identifier: 'Demo session identifier')

    expect(complex_session.complex_subject.subject_identifier).to eq(complex_subject.subject_identifier)
    expect(complex_session.session_identifier).to eq('Demo session identifier')
  end
end